%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api		3
%define major		0
%define libname		%mklibname gtkhex %{api} %{major}
%define libnamedev	%mklibname -d gtkhex

Name:		ghex
Summary:	GNOME Hexadecimal Editor
Version:	3.6.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Editors
Url:		http://live.gnome.org/Ghex
Source:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gail-3.0)
BuildRequires:	pkgconfig(xml2po)

%description
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

%package -n %{libname}
Summary:	Shared library of the GNOME Hexadecimal Editor
Group:		System/Libraries

%description -n %{libname}
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

This contains the shared library needed by ghex.
 
%package -n %{libnamedev}
Summary:	Development files for the GNOME Hexadecimal Editor library 
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libgtkhex-devel = %{version}-%{release}

%description -n %{libnamedev}
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

This contains the development files needed to compile applications with 
libghex.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--disable-scrollkeeper

%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="X-MageiaLinux-MoreApplications-Editors" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

%{find_lang} %{name}-%{api} --with-gnome --all-name

for omf in %{buildroot}%{_datadir}/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}-%{api}.lang
done

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}-%{api}.lang
%doc AUTHORS README
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*ghex.*
%{_datadir}/GConf/gsettings/ghex.convert
%{_datadir}/glib-2.0/schemas/org.gnome.GHex.gschema.xml
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf

%files -n %{libname}
%{_libdir}/libgtkhex-%{api}.so.%{major}*

%files -n %{libnamedev}
%{_libdir}/libgtkhex-%{api}.so
%{_libdir}/pkgconfig/gtkhex-%{api}.pc
%{_includedir}/gtkhex-%{api}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 351530
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307263
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297273
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 295637
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282672
- new version 3.5.90

* Mon Jul 16 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 271487
- new version 3.5.2

* Tue May 29 2012 wally <wally> 3.5.1-1.mga3
+ Revision: 249292
- new version 3.5.1
- clean .spec

* Mon May 14 2012 ovitters <ovitters> 3.4.1-1.mga3
+ Revision: 235664
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226917
- new version 3.4.0

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219211
- new version 3.3.91

* Wed Feb 22 2012 wally <wally> 3.3.90-1.mga2
+ Revision: 212278
- new version 3.3.90

* Mon Nov 21 2011 kharec <kharec> 3.0.0-2.mga2
+ Revision: 170663
- fix url

* Mon Sep 26 2011 wally <wally> 3.0.0-1.mga2
+ Revision: 148889
- new version 3.0.0

* Tue Sep 06 2011 wally <wally> 2.90.2-1.mga2
+ Revision: 139553
- add BR to desktop-file-utils
- new version 2.90.2
- new version 2.90.1
- new version 2.90.0
- clean BRs and use pkgconfig style if possible
- drop static build
- drop ancient obsoletes
- clean .spec

* Sun Apr 10 2011 ennael <ennael> 2.24.0-2.mga1
+ Revision: 82851
- clean spec file
- imported package ghex

